{
  "name": "incidentapi-contact",
  "version": "1.0.0",
  "description": "",
  "main": "server.js",
  "scripts": {
    "test": "set NODE_ENV=test&& jest --coverage --coverageDirectory=coverage/jest",
    "start": "npm run dev",
    "local": "set NODE_ENV=local&& node server.js",
    "dev": "set NODE_ENV=dev&& node server.js",
    "uat": "set NODE_ENV=uat&& node server.js",
    "prod": "set NODE_ENV=prod&& node server.js"
  },
  "author": "Suresh",
  "license": "ISC",
  "dependencies": {
    "async": "^3.2.0",
    "bignumber.js": "^9.0.0",
    "body-parser": "^1.19.0",
    "connect-mongo": "^3.2.0",
    "connect-mongodb-session": "^2.2.0",
    "connect-timeout": "^1.9.0",
    "cookie-parser": "^1.4.5",
    "cors": "^2.8.5",
    "escape-string-regexp": "^2.0.0",
    "express": "^4.17.1",
    "express-fileupload": "^1.1.7-alpha.3",
    "express-jwt": "^5.3.3",
    "express-session": "^1.16.2",
    "helmet": "^3.22.0",
    "https": "^1.0.0",
    "lodash": "^4.17.15",
    "log4js": "^5.3.0",
    "mime": "^2.4.6",
    "moment": "^2.24.0",
    "moment-timezone": "^0.5.27",
    "mongoose": "^5.8.11",
    "mongoose-bignumber": "^1.2.0",
    "mongoose-long": "^0.2.1",
    "multer": "^1.4.2",
    "newrelic": "^6.2.0",
    "nodemailer": "^6.4.6",
    "path": "^0.12.7",
    "pino": "^5.15.0",
    "pino-pretty": "^3.5.0",
    "q": "^1.5.1",
    "querystring": "^0.2.0",
    "request": "^2.88.0",
    "spdy": "^4.0.2",
    "supertest": "^4.0.2",
    "xml2js": "^0.4.22"
  },
  "devDependencies": {
    "axios": "^0.19.0",
    "eslint": "^6.5.1",
    "eslint-config-airbnb-base": "^14.0.0",
    "eslint-plugin-import": "^2.18.2",
    "jest": "^24.9.0",
    "jest-fetch-mock": "^2.1.2",
    "jest-mock-axios": "^3.1.2",
    "jest-sonar-reporter": "^2.0.0",
    "mockingoose": "^2.13.2"
  },
  "jest": {
    "testResultsProcessor": "jest-sonar-reporter",
    "testEnvironment": "node",
    "coverageReporters": [
      "lcov",
      "text",
      "cobertura"
    ],
    "coveragePathIgnorePatterns": [
      "/tests/"
    ]
  }
}
